#include <bits/stdc++.h>

using namespace std;
int N,X,K;
int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cin >> N >> K >> X;
    int a[N];
    a[0] = 1;
    for(int i = 1; i < N; i++){
        a[i] = a[i-1] + X;
        cout << a[i] << " ";
    }
    return 0;
}